regina::detail::FaceNumberingImpl< 1, 0, true > Class Template Reference
Implementation details
Inheritance diagram for regina::detail::FaceNumberingImpl< 1, 0, true >:

## Static Public Member Functions

static Perm< dim+1 > | ordering (unsigned face)
| Given a subdim-face number within a dim-dimensional simplex, returns the corresponding canonical ordering of the simplex vertices. More...
static unsigned | faceNumber (Perm< dim+1 > vertices)
| Identifies which subdim-face in a dim-dimensional simplex is represented by the first (subdim + 1) elements of the given permutation. More...
static bool | containsVertex (unsigned face, unsigned vertex)
| Tests whether the given subdim-face of a dim-dimensional simplex contains the given vertex of the simplex. More...

## Static Public Attributes

static constexpr int | nFaces = 2
| The total number of vertices in each edge. More...

## Member Function Documentation

## containsVertex()

static bool regina::detail::FaceNumberingAPI< dim, subdim >::containsVertex | ( | unsigned | face,
|  | unsigned | vertex
| ) |  |

static inherited

Tests whether the given subdim-face of a dim-dimensional simplex contains the given vertex of the simplex.

Parameters

  face | a subdim-face number in a dim-simplex; this must be between 0 and (dim+1 choose subdim+1)-1 inclusive.
  vertex | a vertex number in a dim-simplex; this must be between 0 and dim inclusive.

Returns
  `true` if and only if the given subdim-face contains the given vertex.

## faceNumber()

static unsigned regina::detail::FaceNumberingAPI< dim, subdim >::faceNumber | ( | Perm< dim+1 > | vertices | ) |

static inherited

Identifies which subdim-face in a dim-dimensional simplex is represented by the first (subdim + 1) elements of the given permutation.

In other words, this routine identifies which subdim-face number within a dim-dimensional simplex spans vertices `vertices[0, ..., subdim]`.

Parameters

  vertices | a permutation whose first (subdim + 1) elements represent some vertex numbers in a dim-simplex.

Returns
  the corresponding subdim-face number in the dim-simplex. This will be between 0 and (dim+1 choose subdim+1)-1 inclusive.

## ordering()

static Perm<dim + 1> regina::detail::FaceNumberingAPI< dim, subdim >::ordering | ( | unsigned | face | ) |

static inherited

Given a subdim-face number within a dim-dimensional simplex, returns the corresponding canonical ordering of the simplex vertices.

If this canonical ordering is c, then c[0,...,subdim] will be the vertices of the given face in increasing numerical order. That is, c[0] < ... < c[subdim]. The remaining images c[(subdim + 1),...,dim] will be ordered arbitrarily.

Note that this is not the same permutation as returned by Simplex<dim>::faceMapping<subdim>():

- ordering() is a static function, which returns the same permutation for the same face number, regardless of which dim-simplex we are looking at. The images of 0,...,subdim will always appear in increasing order, and the images of (subdim + 1),...,dim will be arbitrary.
- faceMapping() examines the underlying face F of the triangulation and, across all appearances of F in different dim-simplices: (i) chooses the images of 0,...,subdim to map to the same respective vertices of F; and (ii) chooses the images of (subdim + 1),...,dim to maintain a "consistent orientation" constraint.

Parameters

  face | identifies which subdim-face of a dim-dimensional simplex to query. This must be between 0 and (dim+1 choose subdim+1)-1 inclusive.

Returns
  the corresponding canonical ordering of the simplex vertices.

The documentation for this class was generated from the following file:

- triangulation/detail/facenumbering.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).